#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    long long n,m,i,b,c;
    cin>>n>>m;
    long long a[n];
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    long long s=0;
    for(i=0;i<m;i++){
        cin>>b>>c;
        s=s+abs(a[b-1]+a[c-1]);
    }
    cout<<s;
    return 0;
}